nuntium crashes when parsing a notification indication

Bug #1461107 reported by Alfonso Sanchez-Beato on 2015-06-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nuntium (Ubuntu)
Undecided
Alfonso Sanchez-Beato

Bug Description

This have been seen in tarball in comment #8 from bug #1417976. I think the message comes from Polish operator Play (http://www.play.pl).

In nuntium.log.2:

2015/04/18 15:38:38 Received ReceiveNotification() method call from mms
2015/04/18 15:38:38 Push data
00000000 2e 06 22 61 70 70 6c 69 63 61 74 69 6f 6e 2f 76 |.."application/v|
00000010 6e 64 2e 77 61 70 2e 6d 6d 73 2d 6d 65 73 73 61 |nd.wap.mms-messa|
00000020 67 65 00 af 84 8c 82 98 31 34 34 32 34 30 31 33 |ge......14424013|
00000030 31 38 40 6d 6d 73 32 00 8d 92 89 18 80 2b 34 38 |18@mms2......+48|
00000040 38 38 32 30 34 30 32 32 35 2f 54 59 50 45 3d 50 |882040225/TYPE=P|
00000050 4c 4d 4e 00 8f 81 86 80 8a 80 8e 03 03 ad 21 88 |LMN...........!.|
00000060 05 81 03 03 f4 80 83 68 74 74 70 3a 2f 2f 6d 6d |.......http://mm|
00000070 73 63 2e 70 6c 61 79 2e 70 6c 2f 3f 69 64 3d 31 |sc.play.pl/?id=1|
00000080 34 34 32 34 30 31 33 31 38 42 00 |442401318B.|
panic: reflect: call of unknown method on zero Value

goroutine 31 [running]:
github.com_ubuntu_phonedations_nuntium_mms.ReadByte.pN53_github.com_ubuntu_phonedations_nuntium_mms.MMSDecoder
 /build/buildd/nuntium-1.4~rtm/obj-arm-linux-gnueabihf/src/github.com/ubuntu-phonedations/nuntium/mms/decoder.go:206
github.com_ubuntu_phonedations_nuntium_mms.Decode.pN53_github.com_ubuntu_phonedations_nuntium_mms.MMSDecoder
 /build/buildd/nuntium-1.4~rtm/obj-arm-linux-gnueabihf/src/github.com/ubuntu-phonedations/nuntium/mms/decoder.go:410
main.handleMNotificationInd.pN13_main.Mediator
 /build/buildd/nuntium-1.4~rtm/obj-arm-linux-gnueabihf/src/github.com/ubuntu-phonedations/nuntium/cmd/nuntium/mediator.go:149
created by main.init.pN13_main.Mediator
 /build/buildd/nuntium-1.4~rtm/obj-arm-linux-gnueabihf/src/github.com/ubuntu-phonedations/nuntium/cmd/nuntium/mediator.go:83
...

Related branches

Changed in nuntium (Ubuntu):
assignee: nobody → Alfonso Sanchez-Beato (alfonsosanchezbeato)
status: New → In Progress
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nuntium - 1.4+15.10.20150615-0ubuntu1

---------------
nuntium (1.4+15.10.20150615-0ubuntu1) wily; urgency=medium

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * Fix LP: #1461107 and make PDU decoding more robust
  * Fix LP: #1460012 (context opened twice on rx)
  * Wait between retries when opening an IP context
  * Set ofono's Preferred property when a context is known to work

 -- CI Train Bot <email address hidden> Mon, 15 Jun 2015 08:52:13 +0000

Changed in nuntium (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers